Description

just had a question about this and think it would be a good idea to add this info to our documentation

History

#1 - 2012-11-20 02:02 PM - Boone Gorges

- Target version set to Not tracked

There's already a brief discussion of system requirements at http:/commonsinabox.org/documentation/faq | think that discussion should also link to
WP's requirements page, which represents the bare minimum setup: http://wordpress.org/about/requirements/

As for hosting recommendations, do you mean that we should recommend specific providers and services? I'm not sure I'm qualified to prepare this
kind of recommendations.

#2 - 2012-11-20 03:23 PM - Matt Gold
Sorry, should have been hosting requirements, not recommendations. Agree we shouldn't be in the business of recommending hosts.

| do think we should raise this from the FAQ to part of the installation guide or somewhere else visible in the documentation. Also think we should give
some advice concerning scale -- how the requirements for the system may change as more people use it.

#3 - 2012-11-20 03:27 PM - Boone Gorges
- Assignee changed from Boone Gorges to scott voth
I'll leave it to Scott to find a natural place for this elsewhere in the documentation.
Also think we should give some advice concerning scale -- how the requirements for the system may change as more people use it.

I'm not sure what kind of advice to give here, aside from "as more people use it, you will need more resources". There's no simple formula. Perhaps
we could start by collecting existing resources on how to scale WordPress.

#4 - 2012-11-20 03:30 PM - Matt Gold

Perhaps we could start by collecting existing resources on how to scale WordPress

Good idea, though I think we may want to give people some rough guidelines that will help them determine which plans to buy. We might take a look,
for instance, at some sample plans from a popular hosting site like Bluehost and just indicate that, say, most sites will be fine with X level of
storage/bandwidth/etc.

#5 - 2012-11-20 03:30 PM - Matt Gold

Just to clarify: I'm not saying that we should recommend Bluehost or use their info directly, just that we can use their basic packages as a way of
creating rough guidance for people to use as they look for plans.

#6 - 2012-11-20 03:52 PM - Boone Gorges

OK, but | don't have that expertise. Scott, perhaps you could do some research to see if others have developed rough guidelines along the lines of
what Matt wants.

#7 - 2012-11-20 09:03 PM - scott voth

| did some preliminary research - it seems like there are Dedicated Virtual servers DV (at places like MediaTemple, $50/month) and Virtual Private
Servers (Godaddy, DailyRazor, etc. - $40-60/month). Each seems to have memory qualifications (256 MB, 512 MB), Bandwidth (1 TB/month, etc.),
and disk space (some surprisingly small - i.e. 25 GB).

And then there are the common, low resource, shared plans that | think won't really scale - but will work for testing - | have a BlueHost account and
am running CBOX to test - and it is fine, for just me, on a single site install.

And another variable (besides number of members) is whether or not multi-site is going to be used - which I think would be a big memory concern
(and disk space concern ??). And backup concerns, | guess.

So there seem to be some tradeoffs - | would think that maybe a DV plan like Media Temple's - 512 MB, 1 TB bandwidth, 25 GB disk space for
$50.00/month - might be adequate - but | am not that sure.

| also read somewhere on the BuddyPress site that people seemed to like them. Not that we really want to advertise for any specific company. More
likely we need to describe the attributes of a server that will do the job. (And of course, it needs to run Linux, etc.)

Maybe Andre could point us in the right direction??

#8 - 2012-11-20 09:08 PM - Matt Gold

Thanks, Scott. André, any comments?

#9 - 2014-02-08 10:32 AM - scott voth
- % Done changed from 0 to 60

Here is what we have on CBOX Hosting - http://commonsinabox.org/documentation/cbox-hosting-considerations

Not sure if this should be marked as resolved, or if further work needs to be done.

#10 - 2014-02-08 01:37 PM - Matt Gold

Great update, Scott -- many thanks. Can you make a few additional edits, please?

"As we briefly noted in one of our documentation pages:" --> please add link

"good community discussions on Help & Support" ---> change to Help and Support Forums, and please add link

"Another thread entitled “Need Advise on Server Specs” ---> since the title of the thread contains a typo, please remove the actual title and just say
"Another thread focused on specifications...." Please make "Another thread" a link to the actual thread

"Another response" --> please link to actual response
"Here’s another:" --> please link to actual response
"Join one of the threads" --> please link to the forums
otherwise, this is great. thank you!

#11 - 2014-02-09 11:13 AM - scott voth

- Status changed from Assigned to Resolved

Hi Matt - | made all the changes and am marking this one resolved.

#12 - 2014-02-09 11:37 AM - Matt Gold

excellent -- thank you, Scott.
